<!-- Main Content -->
<section class="section">
  <div class="section-header">
    <h1>Room Sub Category List</h1>
    <!-- <button class="btn btn-primary ml-2" onclick="history.back()">Back</button> -->

  </div>
  <div class="row" id="tableID">
    <div class="col-12">
      <div class="card">
        <div class="card-header">
          <div class="col-sm-6">
            <!-- <h4 class="card-title">Room Sub Category Table</h4> -->
          </div>
          <div class="col-sm-6 text-right">
            <a title="Add" class="btn btn-primary" href="/admin/add_room_sub_category">Add New</a>
          </div>
        </div>

        <div class="table-responsive px-3">
          <table id="table_get" class="table table-striped table-bordered" style="width: 100%">
            <thead>
              <tr>
                <th>S.No</th>
                <th>Category</th>
                <th>Room Category</th>
                <th>Room Sub Category</th>
                <th>Status</th>
                <th>Action</th>
              </tr>
            </thead>

            <tbody>
              <% roomSubCats.forEach((data, i)=>{%>
                <tr>
                  <td>
                    <%= i+1 %>
                  </td>
                  <td>
                    <%= data?.roomCat.category.name%>
                  </td>
                  <td>
                    <%= data?.roomCat.name%>
                  </td>
                  <!-- <td>
                    <%= data?.name%>
                  </td> -->
                  <td>
                    <% let truncatedName = data?.name ? (data.name.length > 20 ? data.name.substring(0, 20) + '...' : data.name) : ''; %>
                    <%= truncatedName %>
                  </td>
                  
                  <td>
                  <div
                    class="custom-control custom-control-primary custom-switch"
                  >
                    <input onclick="roomSubcategorystatus(this)" type="checkbox"
                    class="custom-control-input" id="<%= data?.id %>" <%=
                    data?.status == 1? "checked":"" %> >
                    <label
                      class="custom-control-label"
                      for="<%= data?.id %>"
                    ></label>
                  </div>
                </td>
                  <td>
                    <a href="/admin/room_subcategory_detail/<%= data?.id%>" class="btn btn-info"><i class="fas fa-eye"></i></a>
                    <a class="btn btn-success text-white" href="/admin/edit_room_sub_category/<%= data?.id%>"><i
                        class="far fa-edit"></i> </a>
                    <a class="btn btn-danger text-white deletePlan" onclick="deleteRoomSubCat('<%= data?.id %>')">
                      <i class="fas fa-trash-alt"></i>
                    </a>
                 
        </div>
        </td>
        </tr>
        <% }) %>
          </tbody>
          </table>
      </div>
    </div>
  </div>
  </div>
</section>

<!-- main content End -->
<script src="../assets/js/myScripts.js"></script>
<script>
  imgInp.onchange = (evt) => {
    const [file] = imgInp.files;
    if (file) {
      blah.src = URL.createObjectURL(file);
    }
  };
</script>